Summary: A wire chamber simulation program
Name: garfield
%define version 8.10
Version: %{version}
Release: 3c
Source0: garfield-%{version}.tar.gz
Source1: canvas_14_cccccc.gif
Source2: canvas_cccccc_24_l.gif
Patch0: garfield-7.01-garfield.patch
Patch1: garfield-8.10-html.patch
Patch2: garfield-8.10-makefile.patch
Patch3: garfield-8.10-icons.patch
Patch4: garfield-8.10-gfortran.patch
License: CERN
Group: CERNLIB
Conflicts: garfield-lite
BuildRoot: %{_tmppath}/garf-root

%description
A wire chamber simulation program.
The package uses CERNLIB which requires
LICENSE agreement with CERN.

%prep
%setup
%patch0 -p1 -b .gf
%patch1 -p1 -b .ht
%patch2 -p1 -b .mk
%patch3 -p1 -b .ic
if [ $(which gfortran | grep -v 'no gfortran' | grep -c gfortran) != 0 ]; then
%patch4 -p1 -b .gfort
fi
cp -p $RPM_SOURCE_DIR/canvas*.gif html/labels

%build
if [ $(which gfortran | grep -v 'no gfortran' | grep -c gfortran) != 0 ]; then
make -f makefile_linux FC='gfortran' FDEBUGFLAGS="-O0"
else
make -f makefile_linux FDEBUGFLAGS="$RPM_OPT_FLAGS"
fi
make -f makefile_linux help
if [ $(which gfortran | grep -v 'no gfortran' | grep -c gfortran) != 0 ]; then
make -f makefile_linux doc FC='gfortran'
else
make -f makefile_linux doc
fi

%install
mkdir -p $RPM_BUILD_ROOT/cern/pro/bin
mkdir -p $RPM_BUILD_ROOT/cern/pro/share/garfield
install -c -s -m 755 garfield $RPM_BUILD_ROOT/cern/pro/bin
install -c -m 644 garfield.packhelp  $RPM_BUILD_ROOT/cern/pro/share/garfield
install -c -m 644 garfinit  $RPM_BUILD_ROOT/cern/pro/share/garfield
(cd doc/labels
 rm -f *.ht 
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/*
/cern/pro/bin/garfield
%dir /cern/pro/share/garfield
/cern/pro/share/garfield/*

%changelog
* Fri Nov 25 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 8.01-3c
- 4th build on MacOS X 10.4
- linked against libgfortran.1.dylib instead of libgfortran.0.dylib

* Wed Nov 16 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 8.01-3b
- 3rd build on MacOS X 10.4

* Thu Nov 10 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 8.01-3b
- 1st build on Scientific Linux 4.1

* Sat Oct 15 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 8.01-3a
- 2nd build on MacOS X 10.4
- rebuilt with updated garfield and heed source files 

* Fri Oct 14 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 8.01-2a
- 1st build on MacOS X 10.4

* Tue Jan 16 2005 Keisuke Fujii <keisuke.fujii@kek.jp> 8.01-1a
- 1st build on MacOS X 10.3
